Bug 778978 - Include JBESB-2695-Add jndi security support to EJBProcessor
Include JBESB-2695-Add jndi security support to EJBProcessor
Status: CLOSED NEXTRELEASE
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB (Show other bugs)
5.0
Unspecified Unspecified
high Severity high
: ---
: 5.0.0 GA,5.0.0 ER2
Assigned To: Kevin Conner
http://jira.jboss.org/jira/browse/SOA...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-07 05:53 EDT by Stelios Koussouris
Modified: 2012-07-13 00:15 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: SOA-1405
Environment:
Last Closed: 2010-01-28 06:15:30 EST
Type: Task
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SOA-1405 Major Closed Include JBESB-2695-Add jndi security support to EJBProcessor 2012-11-20 04:11:54 EST

  None (edit)
Description Stelios Koussouris 2009-07-07 05:53:13 EDT
++ This bug is a clone of bug 778977 ++

Affects: Documentation (Ref Guide, User Guide, etc.), Interactive Demo/Tutorial, Compatibility/Configuration, Release Notes
Date of First Response: 2009-10-23 13:10:43
Help Desk Ticket Reference: https://enterprise.redhat.com/issue-tracker/?module=issues&action=view&tid=313752&gid=1354
project_key: SOA

Currently there is no support for supplying jndi security credentials and principals which should be added.
I also think that the EJBProcessor could be refactored to be simpler but I'll create a jira for that and link it to this one.

In customer case:
At source code for EJBProcessor.java:

By making adding modifications (line 247)

props.put(Context.INITIAL_CONTEXT_FACTORY, ejbRef.get(INICTXFACTORY));
props.put(Context.PROVIDER_URL, ejbRef.get(PROVIDERURL));
props.put(Context.SECURITY_PRINCIPAL, "a username"); 
props.put(Context.SECURITY_CREDENTIALS, "a password");

and also by using org.jboss.security.jndi.JndiLoginInitialContextFactory now it supports  the call of EJB's running in different security contexts and with the required authentication.


Regards,
Marc
Comment 1 Stelios Koussouris 2009-07-07 05:53:54 EDT
Link: Added: This issue depends JBESB-2695
Comment 2 Kevin Conner 2009-10-23 13:10:43 EDT
Already present in ESB trunk.
Comment 3 Martin Vecera 2010-01-28 06:15:30 EST
Verified in ER7.

Note You need to log in before you can comment on or make changes to this bug.